commit:     20aa81d28c9e105a557ed13e89f44098fc4f658c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 15 05:46:10 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 15 05:46:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20aa81d2

dev-ruby/ruby2ruby: add 2.3.1

Package-Manager: portage-2.3.0

 dev-ruby/ruby2ruby/Manifest               |  1 +
 dev-ruby/ruby2ruby/ruby2ruby-2.3.1.ebuild | 32 +++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/ruby2ruby/Manifest b/dev-ruby/ruby2ruby/Manifest
index 255393c..941baa1 100644
--- a/dev-ruby/ruby2ruby/Manifest
+++ b/dev-ruby/ruby2ruby/Manifest
@@ -1,3 +1,4 @@
 DIST ruby2ruby-2.1.4.gem 24576 SHA256 
355e7d8e3c0e2a846c74aace24dfdb8fe3de01311ade2453735f69b6a3e40bc0 SHA512 
e436902cdae8628ce49c676350594c220e86a1c356fc6924d845c7774c0de488349050fcbd9df98cb73ed9c66f770b0bed173486d4fab58dab665991fdbe74c9
 WHIRLPOOL 
aaf261aede3c59c1bfec955c5ad7355991136a3ce984160e8cb5d251003d0817735dc8e08312515301699b95ec36c06fbf6d458ff2921f4ebfd710bd7a4856c9
 DIST ruby2ruby-2.2.0.gem 25088 SHA256 
f59a681a26f2f2219eca8340064a913ffd6fa2e6a1f4ebbdb4b8263d4001acce SHA512 
d5ca1cab8e83f5fef31c5d471e0285fc17ccd1477ce16717d20581868e99fecb3002ff3d9d000782fa7e00b99f9c647c5cae6a5162dafc9613652e86d756fef3
 WHIRLPOOL 
2d16f5b4e737d1c860159af39798788a7b9ad603b243ff70191f1fbda544513b0ec4f4340106099a6890f866a4aed41865f56fd5cb4d07561504ffbf27c63311
 DIST ruby2ruby-2.3.0.gem 25088 SHA256 
19d9648bebce9eb08f279192ba18a03b9776a29fa527f2654191b4a12daad487 SHA512 
82630abf24ddf53b5bbd8f9d399f49b043e6f1c418ec83f1ff5011044d3a7b52864a3c7c5f628a9afb5afcf59f7c5126a413e7743ceb1e03bf623d919af1fbda
 WHIRLPOOL 
d1b6cca7d61ba149e91c9c407631adf4bc9985e977ca1141c13fdbf169011e5371bf78e8599a63d6111204f7e39786b751f1aa1592b0893c0a647e7914e26027
+DIST ruby2ruby-2.3.1.gem 25088 SHA256 
77c36c6ce3f26c1166782c75110d3c3f70b40c85707d9094ab0ff6ef1ca5e011 SHA512 
4b6ca39cc469f44697e2924a1074452a9453d7d809d088d89583040e1743dc49c1d5d92b2b74207ee5862565d6293e9563c698ddd53e18157e06a6f7fae6bad0
 WHIRLPOOL 
b73393251d4a9a652f8ce076b4c37f80197edbb6d0f7898c610383e413f055027c4cb9acb244a05fe46184efea59980d5acb15836b4b0fa0c53166346ae88e55

diff --git a/dev-ruby/ruby2ruby/ruby2ruby-2.3.1.ebuild 
b/dev-ruby/ruby2ruby/ruby2ruby-2.3.1.ebuild
new file mode 100644
index 00000000..a1bee67
--- /dev/null
+++ b/dev-ruby/ruby2ruby/ruby2ruby-2.3.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC="docs"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.txt History.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Generates readable ruby from ParseTree"
+HOMEPAGE="https://github.com/seattlerb/ruby2ruby";
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris 
~x86-solaris"
+IUSE="test"
+
+ruby_add_rdepend "
+       >=dev-ruby/sexp_processor-4.6.0:4
+       >=dev-ruby/ruby_parser-3.1:3
+       !<dev-ruby/ruby2ruby-1.3.1-r1"
+ruby_add_bdepend "doc?  ( dev-ruby/hoe dev-ruby/hoe-seattlerb )
+       test? ( >=dev-ruby/minitest-5.3:5 )"
+
+all_ruby_prepare() {
+       sed -i -e '/plugin :isolate/ s:^:#:' Rakefile || die
+}

Reply via email to